<?php
namespace Teknisa\CTB\Controllers;

use Doctrine\ORM\EntityManager;
use Teknisa\CTB\Services\Ctb24000BalanceteService;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;

class Ctb24000BalanceteController {

    protected $BalanceteService;

    public function __construct(EntityManager $entityManager, Ctb24000BalanceteService $BalanceteService) {
        $this->entityManager      = $entityManager;
        $this->balanceteService = $BalanceteService;
    }
        
    public function aplicarFiltroBalancete(Row $row, Response $response)
    {
        try {
            $rows = $row->getRow();
            //var_dump($row);
            $balancete = $this->balanceteService->aplicarFiltroBalancete($rows, $response);
            
            $response->addDataSet(new DataSet('balancete', [$balancete]));
            
        } catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
    
}
